#define CLIENT 1
#include "ulengine.h"

CAMERA_UL cam;
POLY_UL *cface[7];
POLY_UL *tface[5];
VECTOR_UL cube[8] = { { 0,0,0 }, { 0,0,1 }, { 0,1,0 }, { 1,0,0 },
		{ 1,1,0 }, { 0,1,1 }, { 1,0,1 }, { 1,1,1 } };
VECTOR_UL tetra[4] = { { 0,0,0 }, { 0,1,0 }, { 0.5,0.866,0 }, { 0.5,0.433,0.707 } };
POINT_UL tetrap[4];

int main( ) {
	ggi_color red, green, blue;
	POINT_UL *tri[3];
		
	initULEngine( 0, 0, 0, False, True );
	red = { 0xFFFF, 0, 0, 0 };
	green = { 0, 0xFFFF, 0, 0 };
	blue = { 0, 0, 0xFFFF, 0 };

/*	cface[0] = createPolyPV( 4, True, &red, cube[0], cube[3], cube[4], cube[2]);
	cface[1] = createPolyPV( 4, True, &red, cube[1], cube[5], cube[7], cube[6]);
	cface[2] = createPolyPV( 4, True, &green, cube[0], cube[1], cube[6], cube[3]);
	cface[3] = createPolyPV( 4, True, &green, cube[2], cube[4], cube[7], cube[5]);
	cface[4] = createPolyPV( 4, True, &blue, cube[3], cube[6], cube[7], cube[4]);
	cface[5] = createPolyPV( 4, True, &blue, cube[1], cube[0], cube[2], cube[5]);
	cface[6] = NULL; 
	createDoodadP( "cube", *cface ); */
			
	tetrap[0].vect = &tetra[0];
	tetrap[1].vect = &tetra[1];
	tetrap[2].vect = &tetra[2];
	tetrap[3].vect = &tetra[3];
	tri[0] = &tetrap[0]; tri[1] = &tetrap[1]; tri[2] = &tetrap[2];
	tface[0] = createPolyP( 3, True, &red, *tri );
	tri[0] = &tetrap[0]; tri[1] = &tetrap[3]; tri[2] = &tetrap[1];
	tface[1] = createPolyP( 3, True, &red, *tri );
	tri[0] = &tetrap[0]; tri[1] = &tetrap[2]; tri[2] = &tetrap[3];
	tface[2] = createPolyP( 3, True, &green, *tri );
	tri[0] = &tetrap[1]; tri[1] = &tetrap[3]; tri[2] = &tetrap[2];
	tface[3] = createPolyP( 3, True, &blue, *tri );
	tface[4] = NULL; 
	createDoodadP( NULL, tface );
	
	setCameraD( &cam, 0,0,0, 1,1,1, 0 );

	render( &cam );
	sleep( 2 );
	endULEngine( );
}
